<?xml version="1.0"?>

<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">

<ejb-jar>
    <enterprise-beans>
      <entity>
	<ejb-name>m05Tarjetas</ejb-name>
	<home>m05bTarjetasEJB.m05TarjetasHome</home>
	<remote>m05bTarjetasEJB.m05Tarjetas</remote>
	<ejb-class>m05bTarjetasEJB.m05TarjetasBean</ejb-class>
	<persistence-type>Container</persistence-type>
	<prim-key-class>m05bTarjetasEJB.m05TarjetasPK</prim-key-class>
	<reentrant>False</reentrant>
	<cmp-field>
	  <field-name>tar_numero</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>tar_matricula</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>tar_centro</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>tar_limite</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>tar_falta</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>tar_fbaja</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>tar_fsolic</field-name>
	</cmp-field>
    <cmp-field>
       <field-name>tar_fcaduc</field-name>
    </cmp-field>
	<cmp-field>
	  <field-name>tar_literal</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>tar_ncuenta</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>tar_plastic</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>tar_situacion</field-name>
	</cmp-field>
    <cmp-field>
       <field-name>tar_incidencia</field-name>
    </cmp-field>
	<cmp-field>
	  <field-name>tar_impreso</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>tar_fimpreso</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>tar_cambio</field-name>
	</cmp-field>
	<cmp-field>
	  <field-name>tar_fcambio</field-name>
	</cmp-field>
    <cmp-field>
	  <field-name>tar_tag</field-name>
	</cmp-field>
    <cmp-field>
	  <field-name>tar_tipo</field-name>
	</cmp-field>
      </entity>
    </enterprise-beans>
    <assembly-descriptor>
      <container-transaction>
	<method>
	  <ejb-name>m05Tarjetas</ejb-name>
	  <!--method-intf>Remote</method-intf-->
	  <method-name>*</method-name>
	</method>
	<trans-attribute>Required</trans-attribute>
      </container-transaction>
    </assembly-descriptor>
  </ejb-jar>
